Bug 737459 - ldd -r foobar Segmentation fault in glibc-2.14.90-8
Summary: ldd -r foobar Segmentation fault in glibc-2.14.90-8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 16
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 07:51 UTC by sangu
Modified: 2016-11-24 15:54 UTC (History)
3 users (show)

Fixed In Version: glibc-2.14.90-10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-02 18:13:21 UTC


Attachments (Terms of Use)

Description sangu 2011-09-12 07:51:39 UTC
Description of problem:
$ ldd -r foobar
[skip]
/usr/bin/ldd: line 118: 11564 Segmentation fault      LD_TRACE_LOADED_OBJECTS=1 LD_WARN=yes LD_BIND_NOW=yes LD_LIBRARY_VERSION=$verify_out LD_VERBOSE= "$@"

$ dmesg
[24839.636600] ld-linux-x86-64[11473]: segfault at b0 ip 00007f9b8e4c0021 sp 00007fff806e0b90 error 4 in libc-2.14.90.so[7f9b8e398000+1a6000]
[24855.955091] ld-linux-x86-64[11479]: segfault at b0 ip 00007f1c0a6a8021 sp 00007fffc9cc43d0 error 4 in libc-2.14.90.so[7f1c0a580000+1a6000]
[24900.170518] ld-linux-x86-64[11492]: segfault at b0 ip 00007f8a3b9c2021 sp 00007fff552f40f0 error 4 in libc-2.14.90.so[7f8a3b89a000+1a6000]
[24914.802072] ld-linux-x86-64[11504]: segfault at b0 ip 00007f616f0c5021 sp 00007fff05764fa0 error 4 in libc-2.14.90.so[7f616ef9d000+1a6000]
[24948.294478] ld-linux-x86-64[11509]: segfault at b0 ip 00007f9531ddd021 sp 00007fff29fd9f70 error 4 in libc-2.14.90.so[7f9531cb5000+1a6000]
[25083.650194] ld-linux-x86-64[11564]: segfault at b0 ip 00007f6e45743021 sp 00007fffd5dde820 error 4 in libc-2.14.90.so[7f6e4561b000+1a6000]

Version-Release number of selected component (if applicable):
2.14.90-8.x86_64

How reproducible:
always

Steps to Reproduce:
1. $ldd -r /usr/bin/gedit
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Andreas Schwab 2011-09-14 09:58:17 UTC
Where is foobar?

Comment 2 Andreas Schwab 2011-09-14 10:08:22 UTC
Never mind, I can reproduce it with prelinking undone.

Comment 3 Fedora Update System 2011-09-16 14:28:42 UTC
glibc-2.14.90-9 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/glibc-2.14.90-9

Comment 4 Fedora Update System 2011-09-17 19:34:55 UTC
Package glibc-2.14.90-9:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.14.90-9'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.14.90-9
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-28 18:52:32 UTC
Package glibc-2.14.90-10:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.14.90-10'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/glibc-2.14.90-10
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-10-02 18:12:52 UTC
glibc-2.14.90-10 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.